/*
 Fade
 
 Author:   P.Peters
 Date:     20131204
 
 This example shows a led fading on and off
 The LED is connected to pin 10.
 Pin 9 serves as a GND pin.

 
 This example code is in the public domain.
 */

int gndPin = 9;
int ledPin = 10;       // the pin that the LED is attached to
int brightness = 0;    // how bright the LED is (0-255)
int fadeAmount = 5;    // how many points to fade the LED by

// the setup routine runs once when you press reset:
void setup()  { 
  // declare pin 10 to be 0V (GND)
  pinMode(gndPin, OUTPUT);
  digitalWrite(gndPin, LOW);
  // declare LED pin to be an output:
  pinMode(ledPin, OUTPUT);
} 

// the loop routine runs over and over again forever:
void loop()  { 
  // set the brightness of pin 9:
  analogWrite(ledPin, brightness);    

  // change the brightness for next time through the loop:
  brightness = brightness + fadeAmount;

  // reverse the direction of the fading at the ends of the fade: 
  if (brightness <= 0 || brightness >= 255) {
    fadeAmount = -fadeAmount ; 
  }     
  // wait for 30 milliseconds to see the dimming effect    
  delay(30);                            
}

